# $Revision: 1.26 $, $Date: 2009/10/07 07:30:04 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Pod
%define		pnam	POM
Summary:	Pod::POM perl module
Summary(pl.UTF-8):	Moduł perla Pod::POM
Name:		perl-Pod-POM
Version:	0.25
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	02f62bc9115a4931aa316ba16d65d013
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a parser to convert Pod documents into a simple
object model form known hereafter as the Pod Object Model.  The object
model is generated as a hierarchical tree of nodes, each of which
represents a different element of the original document.  The tree can
be walked manually and the nodes examined, printed or otherwise
manipulated.  In addition, Pod::POM supports and provides view objects
which can automatically traverse the tree, or section thereof, and
generate an output representation in one form or another.

%description -l pl.UTF-8
Ten moduł jest implementacją parsera konwertującego dokumenty Pod na
prostą postać modelu obiektowego, znaną jako Pod Object Model. Model
obiektowy jest generowany jako hierarchiczne drzewo węzłów, z których
każdy reprezentuje inny element oryginalnego dokumentu. Po drzewie
można się przemieszczać ręcznie, sprawdzając, wypisując lub w inny
sposób obrabiając węzły. Oprócz tego, Pod::POM obsługuje obiekty
widoku, które mogą automatycznie przemieszczać się po drzewie lub jego
części i generować na wyjściu reprezentację w jakiejś formie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/Pod/POM.pm
%{perl_vendorlib}/Pod/POM
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Pod-POM.spec,v $
Revision 1.26  2009/10/07 07:30:04  amateja
- updated to 0.25

Revision 1.25  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.24  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.23  2006/10/25 16:31:57  ankry
- ver. 0.17

Revision 1.22  2004/11/03 22:30:40  paladine
- formatting

Revision 1.21  2004/05/07 01:09:24  ankry
- rel. 3

Revision 1.20  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.19  2004/05/06 05:46:53  ankry
- license fix, cosmetics

Revision 1.18  2004/05/05 15:55:26  ankry
- tests added, cosmetics

Revision 1.17  2003/09/09 10:24:46  ankry
- spaces -> tab

Revision 1.16  2003/08/18 08:09:08  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.15  2003/05/28 13:00:58  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 06:24:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.12  2003/03/01 20:22:31  radek
- should be ready for perl-5.8.0; release++

Revision 1.11  2003/02/25 00:41:04  radek
- use the __perl macro

Revision 1.10  2003/02/18 15:37:45  ankry
- massive attack: change CPAN URLs

Revision 1.9  2002/07/12 09:04:41  qboosh
- new %%doc and cosmetics

Revision 1.8  2002/07/11 08:02:48  depesz
- new version; should work; STBR

Revision 1.7  2002/07/10 08:48:31  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.6  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.5  2002/02/25 10:33:54  depesz
cleanup; revision++

Revision 1.4  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/21 04:51:38  kloczek
- cosmetics.

Revision 1.2  2002/02/19 14:36:41  qboosh
- pl description

Revision 1.1  2002/02/19 13:23:17  depesz
- new module
- no polish description (sorry again)
